---
lang: en
title: 'API docs: metadata.namespacedreflect.getownmetadatakeys'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.metadata.namespacedreflect.getownmetadatakeys.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [NamespacedReflect](./metadata.namespacedreflect.md) &gt; [getOwnMetadataKeys](./metadata.namespacedreflect.getownmetadatakeys.md)

## NamespacedReflect.getOwnMetadataKeys() method

<b>Signature:</b>

```typescript
getOwnMetadataKeys(target: Object, propertyKey?: string): string[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | <code>Object</code> |  |
|  propertyKey | <code>string</code> |  |

<b>Returns:</b>

`string[]`


